#!/bin/bash
#
# DESCRIPTION:
# Increments build number.  Reads current build # from build.txt and writes
# include file build.h with constant VERBUILD assigned.  The updated build
# number is also written back to build.txt
#
# Copyright (c) 2019 Brian Cornell, all rights reserved.
#
# DEPENDENCIES:  bash, rsync, rsync-hfs, tar, gzip, find, ssh, rm, test, sleep,
#                kill, chmod, scp, date.
#
# COMPONENTS:   build.sh - this script.
#               build.txt - contains integer build # on first line.
#		build.h - include file with build # defined.
#
# VERSION:  19100100.
#
# MODIFICATION HISTORY:
# 1 Oct 19, Brian Cornell:
#   + Created.
#
#

BuildnumFil="build.txt"
BuildincFil="build.h"
BuildNum=0

exec 3<> $BuildnumFil
read BuildNum <&3
exec 3>&-

let BuildNum=$BuildNum+1
echo "$0:  build $BuildNum"
echo $BuildNum >$BuildnumFil

echo "//" >$BuildincFil
echo "// Include file $BuildincFil" >>$BuildincFil
echo "// Maintained by $0" >>$BuildincFil
echo "// DO NOT EDIT" >>$BuildincFil
echo "//" >>$BuildincFil
echo "" >>$BuildincFil
echo "#define VERBUILD		$BuildNum" >>$BuildincFil

#
#
# End of file.
